package agents;

import managers.MapManager;
import behaviours.BlockBehaviour;
import behaviours.NotifySpringBehaviour;
import jade.core.*;
import jade.core.behaviours.*;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

public class MapAgent extends Agent{
	
	
	
	protected void setup() {	
		
		MapManager.initialize(this);
		
		super.setup();	
		
		
						
		addBehaviour(new BlockBehaviour(this));	
		addBehaviour(new NotifySpringBehaviour(this));	
		
		
		
	}

	protected void takeDown() {
		
	}

	
}
