

package behaviours;


import java.util.Random;

import managers.MapManager;
import enums.Phases;
import agents.LivingAgent;
import jade.core.Agent;
import jade.core.behaviours.*;

public class AnimalGetMatureBehaviour extends WakerBehaviour{
	

	public AnimalGetMatureBehaviour(LivingAgent a) {
		super(a, (int)(5000.0f * (0.5 + new Random().nextFloat())));
	}


	public void onWake() {
		((LivingAgent)myAgent).setPhase(Phases.ADULT);
		MapManager.updateColor((LivingAgent)myAgent);
	}
	

}
