

package behaviours;


import java.util.Random;

import managers.MapManager;
import enums.Phases;
import agents.LivingAgent;
import jade.core.Agent;
import jade.core.behaviours.*;

public class AnimalGetOldBehaviour extends WakerBehaviour{
	
	
	public AnimalGetOldBehaviour(LivingAgent a) {
		super(a, (int)(150000 * (0.5 + new Random().nextFloat())));
	}

	public void onStart(){
		System.out.println(myAgent.getLocalName() + ": Ya soy adulto...");		
	}

	public void onWake() {	
		((LivingAgent)myAgent).setPhase(Phases.DEAD);
		MapManager.updateColor((LivingAgent)myAgent);
	}
	
	
	public int onEnd(){
		System.out.println(myAgent.getLocalName() + ": Mi hora ha llegado...");
		return 0;		
	}

}
