package behaviours;

import jade.core.Agent;
import jade.core.behaviours.OneShotBehaviour;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

public class BlockBehaviour extends OneShotBehaviour{

	public BlockBehaviour (Agent a){
		super(a);
	}
	
	@Override
	public void action() {
		ACLMessage msg =  myAgent.blockingReceive(MessageTemplate.and(
				MessageTemplate.MatchPerformative(ACLMessage.INFORM),
				MessageTemplate.MatchContent("Start")));
		if(msg != null){
			System.out.println(myAgent.getLocalName()+": Inicio de la simulacion");				
		}		
	}

}
