

package behaviours;


import java.util.Random;

import managers.MapManager;
import agents.LivingAgent;
import enums.Phases;
import jade.core.Agent;
import jade.core.behaviours.*;

public class PlantGetOldBehaviour extends WakerBehaviour{

	
	

	public PlantGetOldBehaviour(LivingAgent a) {
		super(a, (int)(100000.0f * (0.5f + new Random().nextFloat())));
		
	}
	
	public void onStart(){
		System.out.println(myAgent.getLocalName() + ": Ya he madurado");
	}
	

	public void onWake() {
		((LivingAgent)myAgent).setPhase(Phases.DEAD);
		MapManager.updateColor((LivingAgent)myAgent);
		//myAgent.addBehaviour(new PlantRottingBehaviour((LivingAgent)myAgent));
		
	}
	
	public int onEnd(){
		System.out.println(myAgent.getLocalName() + ": Es hora de unirme a la tierra...");
		return 0;
	}
	

}
