package behaviours;

import java.util.List;

import enums.Phases;
import managers.MapManager;
import agents.LivingAgent;
import jade.core.Agent;
import jade.core.behaviours.TickerBehaviour;

public class PlantGetFoodBehaviour extends TickerBehaviour {

	public PlantGetFoodBehaviour(LivingAgent a) {
		super(a, 100);

	}

	@Override
	protected void onTick() {
		List<LivingAgent> agents = MapManager.getNearbyAgents(null,
				Phases.DEAD, ((LivingAgent) myAgent).getMapPosition(), 2);
		if (!agents.isEmpty()) {
			for (LivingAgent agent : agents) {
				((LivingAgent) myAgent).addEatingEnergy();
			}
			//System.out.println(myAgent.getLocalName()	+ ": Ganancia de energia. Energia a " + ((LivingAgent) myAgent).getEnergy());
		}
	}
}
