

package behaviours;


import java.util.Random;

import managers.MapManager;
import enums.Phases;
import agents.LivingAgent;
import jade.core.Agent;
import jade.core.behaviours.*;

public class PlantGetMatureBehaviour extends WakerBehaviour{

		

	public PlantGetMatureBehaviour(LivingAgent a) {
		super(a, (int)(2500.0f * (0.5f + new Random().nextFloat())));
	}



	public void onWake() {

		((LivingAgent)myAgent).setPhase(Phases.ADULT);
		MapManager.updateColor((LivingAgent)myAgent);
	}
	

}
