package behaviours;

import java.util.List;

import agents.LivingAgent;
import managers.MapManager;
import enums.Types;
import jade.core.Agent;
import jade.core.behaviours.CyclicBehaviour;
import jade.core.behaviours.TickerBehaviour;
import jade.lang.acl.ACLMessage;

public class NotifySpringBehaviour extends TickerBehaviour{

	public NotifySpringBehaviour (Agent a){
		super (a, 10000);
	}
	
	

	@Override
	protected void onTick() {
		System.out.println("YA ES PRIMAVERA!!!");
		
		ACLMessage msg =  new ACLMessage(ACLMessage.INFORM);
		List<LivingAgent> agents = MapManager.getAllAgents(Types.PLANT, null);
		for (LivingAgent agent: agents){
			msg.addReceiver(agent.getAID());
		}
		msg.setContent("Spring");
		myAgent.send(msg);		
	}	
	

}
